Page MenuHomePhabricator

Concept URI appears in side bar even if the MediaInfo entity doesn't actually exist, and is wrong
Closed, ResolvedPublic

Description

The Concept URI link appears in the sidebar even when the actual MediaInfo entity doesn't exist.

The link also uses the page DB key, not an entity ID so i is wrong. For example this links to http://default.web.mw.localhost:8080/entity/Bluesq.png for me locally, when an Mxx id should be used.

This is done in RepoHooks::onSkinTemplateBuildNavUrlsNavUrlsAfterPermalink

Details

Related Gerrit Patches:

Event Timeline

Addshore created this task.Oct 1 2018, 9:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2018, 9:23 AM

Do we even want to link to that page so prominently? It's not a core part of the concept of Commons (unlike Wikidata), and could be instead hinted with a meta?

RepoHooks::onSkinTemplateBuildNavUrlsNavUrlsAfterPermalink skips when it's on a non-page, or when the page isn't in a isNamespaceWithEntities; in this case, we want to go beyond isNamespaceWithEntities to isNamespaceOfEntities or whatever. :-)

Help me @Addshore you're my only hope etc.

Change 472465 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Use entityId not title for wb-concept-uri link in toolbox

https://gerrit.wikimedia.org/r/472465

Change 472470 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Make sure entity exists for wb-concept-uri link in toolbox

https://gerrit.wikimedia.org/r/472470

Change 472465 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use entityId not title for wb-concept-uri link in toolbox

https://gerrit.wikimedia.org/r/472465

Change 472470 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make sure entity exists for wb-concept-uri link in toolbox

https://gerrit.wikimedia.org/r/472470

Addshore claimed this task.Nov 9 2018, 9:28 AM
Addshore moved this task from incoming to in progress on the Wikidata board.

@Jdforrester-WMF how does it look?

Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 9 2018, 9:28 AM
Ramsey-WMF closed this task as Resolved.Nov 12 2018, 6:16 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.
greg added a project: Multimedia.Mar 7 2019, 10:59 PM